package com.huimv.receiver.farm.service;

import com.huimv.common.utils.Result;

import java.io.UnsupportedEncodingException;

public interface ICenterDevice {
    //同步添加数据中心端数据
    Result syncAddFarmDevice(String deviceData) throws UnsupportedEncodingException;

    //同步编辑数据中心端数据
    Result syncEditFarmDevice(String deviceData) throws UnsupportedEncodingException;

    //同步删除数据中心端数据
    Result syncRemoveDevice(String deviceData) throws UnsupportedEncodingException;
}
